function MB = model(y);

%input:
VAP = 1;                %volume of aqueous phase [dm^3]
VOP = 1;                %volumen of organic phase [dm^3]
SN = 1;                 %stage Number
cAP_0 = 0.185;          %inlet concentration AP [mol/dm^3]
cOP_0 = 0.000;          %inlet concentration OP [mol/dm^3]
n = 2*SN;               %Phase Number

KLA = 1000;             %mass transfer coefficient [1/h]
Tau = 1000;             %residence time [h]
dotVAP = VAP / Tau;     %volume frow of aqueous phase [dm^3/h]
dotVOP = VOP / Tau;     %volume flow of organic phase [dm^3/h]

%relationship for equilibrium concentration: cAP,eq

%case 1:
%no salting out agent
%for k = 1:SN
%cAP_eq(k) = 2.9802*y(n+1-k)-0.0041
%end

%case 2:
%c_MgCl2=4 mol/L
for k = 1:SN
cAP_eq(k) = 0.0903*y(n+1-k)^2+0.1161*y(n+1-k)+0.0006
end

%Mass Transfer: MT

for k = 1:SN
MT(k) = (KLA*(y(k)-cAP_eq(k))*VAP)
end

%Mass Balance: MB

for k = 1
MB(k) = (dotVAP*(cAP_0-y(k))-MT(k))/VAP
end
for k = 2:SN
MB(k) = (dotVAP*(y(k-1)-y(k))-MT(k))/VAP
end
for k = SN+1
MB(k) = (dotVOP*(cOP_0-y(k))+MT(k-1))/VOP
end
for k = SN+2:n
MB(k) = (dotVOP*(y(k-1)-y(k))+MT(n-k+1))/VOP
end
MB = [MB(1:n)]' 
end